Allocate IP address/pool
Visibility: internal · public ( OpenAPI Custom Extension: x-visibility )
"IPAM API: allocate and release IP pools" Allocate IP address or IP pool from IPAM.
Authorization
bearerAuth Bearer token authentication using OAuth2/OIDC tokens
In: header
Path Parameters
Region identifier
Project identifier
Request Body
application/json
Name of the resource. Provided by the client when the resource is created, or generated by the server if not specified. Must be 1-63 characters long and match the pattern a-z? — the first character must be a lowercase letter, and all following characters must be lowercase letters, digits, or hyphens, with the last character being a letter or digit. Cannot be changed after the resource is created.
^[a-z]([-a-z0-9]*[a-z0-9])?$1 <= length <= 63Requested IP address. Can only be specified if addressType is INTERNAL.
The IP version to be used for this address.
"IPV4" | "IPV6"IP address type. If not specified, defaults to EXTERNAL.
If set to INTERNAL, either network or subnetwork must be specified.
"EXTERNAL" | "INTERNAL"URL of the network to allocate address from.
Can only be specified if addressType is INTERNAL.
If IP is specified, it must be within the subnetwork range.
If subnetwork is also specified, subnetwork must belong to this network.
uriURL of the subnetwork to allocate address from.
Can only be specified if addressType is INTERNAL.
If IP is specified, it must be within the subnetwork range.
If network is also specified, subnetwork must belong to that network.
uriResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.k0rdent.ai/v1/regions/string/projects/string/compute/addresses" \ -H "Content-Type: application/json" \ -d '{}'{
"selfLink": "/v1/regions/us-texas-1/projects/project-x9y8z7/compute/addresses/address-j1k2l3",
"uid": "07cc67f4-45d6-494b-adac-09b5cbc7e2b5",
"id": "address-j1k2l3",
"displayName": "string",
"description": "string",
"ipAddress": "string",
"ipVersion": "IPV4",
"addressType": "EXTERNAL",
"network": "http://example.com",
"subnetwork": "http://example.com",
"status": "string",
"createdAt": "2019-08-24T14:15:22Z"
}{
"error": {
"code": 0,
"message": "string",
"details": [
{}
]
}
}{
"error": {
"code": 0,
"message": "string",
"details": [
{}
]
}
}{
"error": {
"code": 0,
"message": "string",
"details": [
{}
]
}
}{
"error": {
"code": 0,
"message": "string",
"details": [
{}
]
}
}How is this guide?